=== modified file 'README'
--- README	2014-08-14 20:16:14 +0000
+++ README	2015-08-12 19:04:13 +0000
@@ -1,14 +1,19 @@
-# ReadMe - Ubuntu Clock App
-
-Ubuntu Clock App is the official clock app for Ubuntu Touch. We follow an open source model where the code is available to anyone to branch and hack on. The ubuntu clock app follows a test driven development (TDD) where tests are written in parallel to feature implementation to help spot regressions easier.
-
-## Useful Links
+ReadMe - Ubuntu Clock App
+=========================
+
+Ubuntu Clock App is the official clock app for Ubuntu Touch. We follow an open
+source model where the code is available to anyone to branch and hack on. The
+ubuntu clock app follows a test driven development (TDD) where tests are
+written in parallel to feature implementation to help spot regressions easier.
+
+Useful Links
+============
 
 Here are some useful links with regards to the Clock App development.
 
+* Home Page      - https://developer.ubuntu.com/en/community/core-apps/clock/
 * Clock App Wiki - https://wiki.ubuntu.com/Touch/CoreApps/Clock
 * Designs        - https://drive.google.com/#folders/0B55Gs35e-jxxNzRzOHVxbmNDbFU
-* Trello Board   - https://trello.com/b/Ie2rAS3W/core-apps-management
 * Project page   - https://launchpad.net/ubuntu-clock-app
 
 

=== modified file 'README.autopilot'
--- README.autopilot	2015-07-19 17:31:21 +0000
+++ README.autopilot	2015-08-12 19:04:13 +0000
@@ -1,22 +1,29 @@
-# Running Autopilot tests
-
-Ubuntu Clock App follows a test driven development where autopilot tests are run before every merge into trunk. If you are submitting your bugfix/patch to the clock app, please follow the following steps below to ensure that all tests pass before proposing a merge request.
-
-If you are looking for more info about Autopilot or writing AP tests for the clock app, here are some useful links to help you:
-
-- http://developer.ubuntu.com/start/quality
-- https://developer.ubuntu.com/api/autopilot/python/1.5.0/
+Running Autopilot tests
+=======================
+
+Ubuntu Clock App follows a test driven development where autopilot tests are
+run before every merge into trunk. If you are submitting your bugfix/patch to
+the clock app, please follow the following steps below to ensure that all tests
+pass before proposing a merge request.
+
+If you are looking for more info about Autopilot or writing AP tests for the
+clock app, here are some useful links to help you:
+
+* http://developer.ubuntu.com/start/quality
+* https://developer.ubuntu.com/api/autopilot/python/1.5.0/
 
 For help and options on running tests, see:
 
-- https://developer.ubuntu.com/en/start/platform/guides/running-autopilot-tests/
+* https://developer.ubuntu.com/en/start/platform/guides/running-autopilot-tests/
 
-## Prerequisites
+Prerequisites
+=============
 
 Install the following autopilot packages required to run the tests,
-$ sudo apt-get install python3-autopilot libautopilot-qt ubuntu-ui-toolkit-autopilot python3-autopilot-vis
+    $ sudo apt-get install python3-autopilot libautopilot-qt ubuntu-ui-toolkit-autopilot python3-autopilot-vis
 
-## Running tests on the desktop
+Running tests on the desktop
+============================
 
 Using terminal:
 
@@ -45,7 +52,8 @@
     $ autopilot3 vis
 
 
-## Running tests on device or emulator:
+Running tests on device or emulator
+===================================
 
 Using autopkg:
 

=== modified file 'README.developers'
--- README.developers	2015-07-15 23:50:07 +0000
+++ README.developers	2015-08-12 19:04:13 +0000
@@ -1,31 +1,38 @@
-# Building and running on Utopic Desktop (14.10)
-
-Building and running the Ubuntu Clock App is quite simple. You will require Ubuntu 14.10 and higher to run on the desktop.
-
-```
-   $ bzr branch lp:ubuntu-clock-app/reboot branch-name
+Building and running on Vivid Desktop (15.04)
+=============================================
+
+Building and running the Ubuntu Clock App is quite simple. You will require
+Ubuntu 15.04 and higher to run on the desktop.
+
+   $ bzr branch lp:ubuntu-clock-app branch-name
    $ cd branch-name
    $ mkdir builddir && cd builddir
    $ cmake .. && cmake --build .
    $ qmlscene ../app/ubuntu-clock-app.qml -I backend/
-```
-
-# Submitting a patch upstream
-
-If you want to submit a bug fix you can do so by branching the code as shown above, implementing the fixes and running to see if it fixed the issue. We also request that you run the Autopilot and Unit tests to check if anything regressed due to the bug fix.
-
-If the tests fail, you will have to fix them before your bug fix can be approved and merged into trunk. If the tests pass then commit and push your code by,
-
-```
+
+Submitting a patch upstream
+===========================
+
+If you want to submit a bug fix you can do so by branching the code as shown
+above, implementing the fixes and running to see if it fixed the issue. We also
+request that you run the Autopilot and Unit tests to check if anything
+regressed due to the bug fix.
+
+If the tests fail, you will have to fix them before your bug fix can be
+approved and merged into trunk. If the tests pass then commit and push your
+code by,
+
    $ bzr commit -m "Implemented bug fix" --fixes lp:bug-number
    $ bzr push lp:~launchpadid/ubuntu-clock-app/branch-name
-```
-
-# Running Tests
-
-Please check README.autopilot and README.unittest on how to run the tests. They are quite explanatory and will help you get started.
-
-# Code Style
+
+Running Tests
+=============
+
+Please check README.autopilot and README.unittest on how to run the tests.
+They are quite explanatory and will help you get started.
+
+Code Style
+==========
 
 We are trying to use a common code style throughout the code base to maintain
 uniformity and improve code clarity. Listed below are the code styles guides
@@ -39,7 +46,8 @@
 So the sections that should be taken into account in the QML conventions are QML 
 Object Declarations, Grouped Properties and Lists.
 
-# Debugging
+Debugging
+=========
  
 GDB allows one to see what is going on `inside' another program while it executes, 
 or what another program was doing at the moment it crashed. It is a pretty niffty tool which allows you 

=== modified file 'README.translations'
--- README.translations	2015-07-24 15:52:24 +0000
+++ README.translations	2015-08-12 19:04:13 +0000
@@ -1,4 +1,5 @@
-# Updating translations
+Updating translations
+=====================
 
 Translations for the Clock app happen in [Launchpad Translations] and
 are automatically committed daily on the trunk branch in the po/ folder.
@@ -21,7 +22,8 @@
 
 And that's it, once the branch lands Launchpad should take care of all the rest!
 
-# Behind the scenes
+Behind the scenes
+=================
 
 Behind the scenes, whenever the po/*.pot file (also known as translations template)
 is committed to trunk Launchpad reads it and updates the translatable strings

=== modified file 'README.unittest'
--- README.unittest	2014-08-14 20:16:14 +0000
+++ README.unittest	2015-08-12 19:04:13 +0000
@@ -1,8 +1,13 @@
-# Running QML Unit Tests
-
-QML Unit Tests help with testing the internal working of components while autopilot tests help with testing the UI workflow as experience by the user. Running QML tests is quite simple and very fast.
-
-If you are submitting your bugfix/patch to the clock app, please follow the following steps below to check whether that all tests pass before proposing a merge request.
+Running QML Unit Tests
+======================
+
+QML Unit Tests help with testing the internal working of components while
+autopilot tests help with testing the UI workflow as experience by the user.
+Running QML tests is quite simple and very fast.
+
+If you are submitting your bugfix/patch to the clock app, please follow the
+following steps below to check whether that all tests pass before proposing a
+merge request.
 
 * Branch the clock app code, 
    $ bzr branch lp:ubuntu-clock-app/reboot
@@ -11,22 +16,26 @@
    $ mkdir builddir && cd builddir
    $ cmake ..  && make
    
-## Running all unit test at once
+Running all unit test at once
+=============================
 
 If you want to run all tests, then run the following command from the builddir,
 
-*  $ make test
+   $ make test
    
 If you want more verbose output, then run,
 
-*  $ ctest -V
-
-## Running individual test cases,
-
-If you want to run testcases individually, you can do so by navigating to the unit tests folder by,
+   $ ctest -V
+
+Running individual test cases,
+==============================
+
+If you want to run testcases individually, you can do so by navigating to the
+unit tests folder by,
 
 * Navigate to the tests/unit directory
    $ cd reboot/tests/unit
    
 * Run the test by providing their filenames
    $ qmltestrunner -input tst_alarmLabel.qml
+   $ qmltestrunner -input tst_alarm.qml -import ../../builddir/backend

